ConfiguredPolicy (Hadoop 0.20.1+169.88 API)
Date: 2010-05-20

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.security.authorize
Class ConfiguredPolicy

    java.lang.Object
      java.security.Policy
          org.apache.hadoop.security.authorize.ConfiguredPolicy

All Implemented Interfaces:
  Configurable

    public class ConfiguredPolicy

extends Policy
implements Configurable

A `Configuration` based security `Policy` for Hadoop. `ConfiguredPolicy` works in conjunction with a `PolicyProvider` for providing service-level authorization for Hadoop.

Nested Class Summary

Nested classes/interfaces inherited from class java.security.Policy
`Policy.Parameters`

Field Summary
`static String` | `HADOOP_POLICY_FILE`

Fields inherited from class java.security.Policy
`UNSUPPORTED_EMPTY_COLLECTION`

Constructor Summary
`ConfiguredPolicy(Configuration conf, PolicyProvider policyProvider)`

Method Summary
`Configuration` | `getConf()` Return the configuration used by this object.
`PermissionCollection` | `getPermissions(ProtectionDomain domain)`
`boolean` | `implies(ProtectionDomain domain, Permission permission)`
`void` | `refresh()`
`void` | `setConf(Configuration conf)` Set the configuration to be used by this object.

Methods inherited from class java.security.Policy
`getInstance, getInstance, getInstance, getParameters, getPermissions, getPolicy, getProvider, getType, setPolicy`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### HADOOP_POLICY_FILE

    public static final String HADOOP_POLICY_FILE

See Also:
  Constant Field Values

Constructor Detail

### ConfiguredPolicy

    public ConfiguredPolicy(Configuration conf,
                            PolicyProvider policyProvider)

Method Detail

### getConf

    public Configuration getConf()

  Description copied from interface: `Configurable`
  Return the configuration used by this object.

  Specified by:
    `getConf` in interface `Configurable`

### setConf

    public void setConf(Configuration conf)

  Description copied from interface: `Configurable`
  Set the configuration to be used by this object.

  Specified by:
    `setConf` in interface `Configurable`

### implies

    public boolean implies(ProtectionDomain domain,
                           Permission permission)

  Overrides:
    `implies` in class `Policy`

### getPermissions

    public PermissionCollection getPermissions(ProtectionDomain domain)

  Overrides:
    `getPermissions` in class `Policy`

### refresh

    public void refresh()

  Overrides:
    `refresh` in class `Policy`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation